<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo('charset'); ?>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
    <?php wp_body_open(); ?>
      <a class="skip-link screen-reader-text" href="#content_navigator">
      <?php esc_html_e( 'Skip to content', 'renaissance-wda' ); ?>
      </a>
 
    <?php if (get_theme_mod( 'wda_renaissance_top_header_show', '1' )) { ?> 
          
                    <div class="top-section">
                    <div class="wda-top-section">

                    <div class="site-header-left__util">
                            <?php if ( get_theme_mod( 'wda_renaissance_top_header_phone_number' ) OR (get_theme_mod( 'wda_renaissance_top_header_phone_number' ) != '') ) { ?>
                                    <span class="site-header-left__util-phone">
                                        <span class="wda-site-header-el"><i class="fa fa-phone wda-top-header-icons"></i></span>
                                        <span class="wda-site-header-el-two"><?php echo esc_html( get_theme_mod( 'wda_renaissance_top_header_phone_number' ) );  ?></span>
                                    </span>
                            <?php }   ?>
                            <?php if ( get_theme_mod( 'wda_renaissance_top_header_email' ) OR (get_theme_mod( 'wda_renaissance_top_header_email' ) != '') ) { ?>
                                    <span class="site-header-left__util-email">    
                                        <span class="wda-site-header-el"><i class="fa fa-envelope wda-top-header-icons"></i></span>
                                        <span class="wda-site-header-el-two"><?php echo esc_html( get_theme_mod( 'wda_renaissance_top_header_email' ) );  ?></span>
                                    </span>
                            <?php }   ?>

                    </div>

                    <div class="site-header-right__util">
                    <div class="wda-social-icons"><a href="<?php echo esc_url( get_theme_mod( 'wda_renaissance_top_header_twitter_url' ) );  ?>" target="_blank"><i class="fa fa-twitter wda-social-icons-inner"></i></a></div>
                    <div class="wda-social-icons"><a href="<?php echo esc_url( get_theme_mod( 'wda_renaissance_top_header_facebook_url' ) );  ?>" target="_blank"><i class="fa fa-facebook-f wda-social-icons-inner"></i></a></div>
                    <div class="wda-social-icons"><a href="<?php echo esc_url( get_theme_mod( 'wda_renaissance_top_header_linkedin_url' ) );  ?>" target="_blank"><i class="fa fa-linkedin wda-social-icons-inner"></i></a></div>
                    <div class="wda-social-icons"><a href="<?php echo esc_url( get_theme_mod( 'wda_renaissance_top_header_youtube_url' ) );  ?>" target="_blank"><i class="fa fa-youtube-play wda-social-icons-inner"></i></a></div>
                    <div class="wda-social-icons"><a href="<?php echo esc_url( get_theme_mod( 'wda_renaissance_top_header_instagram_url' ) );  ?>" target="_blank"><i class="fa fa-instagram wda-social-icons-inner"></i></a></div>
                    </div>

                    </div>
                    </div>
            <?php  
            
          }  
    ?>

    <header role="banner" class="site-header">

    <div class="wda-header-container">
      <div class="wda-main-header-section">

        <div class="wda-logo-area">
            <div class="wda-main-header-section-mobile-logo-area">
              <?php 
              $custom_logo_id = get_theme_mod( 'custom_logo' );
              $logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );
              if ( has_custom_logo() && is_front_page()) {
                echo '<h1 class="wda-logo-line-height"><a href="' . esc_url(home_url()) . '"><img src="' . esc_url( $logo[0] ) . '" alt="' . get_bloginfo( 'name' ) . '" class="wda-custom-logo"></a></h1>'; } 
              else if ( has_custom_logo() && !is_front_page()) {
                echo '<h2 class="wda-logo-line-height"><a href="' . esc_url(home_url()) . '"><img src="' . esc_url( $logo[0] ) . '" alt="' . get_bloginfo( 'name' ) . '" class="wda-custom-logo"></a></h2>'; }
              else if ( !has_custom_logo() && is_front_page()) {
                echo '<h1 class="wda-logo-text"><a href="' . esc_url(home_url()) . '"><strong>' . get_bloginfo('name') . '</strong></a></h1>'; } 
              else if ( !has_custom_logo() && !is_front_page()) {
                echo '<h2 class="wda-logo-text"><a href="' . esc_url(home_url()) . '"><strong>' . get_bloginfo('name') . '</strong></a></h2>'; }
              ?>
            </div>
        </div>

        <div class="wda-menu-area">
        <div class="site-header__menu">
  
        <div role="navigation" class="nav-container">
              <nav class="navbar-wda" id="wdamobilemenu">
              <div id="head-mobile" class="wda-head-mobile"></div>
              <button class="wdamobilemenubutton wda-mobile-icon-button"></button>
                  <?php
                        if ( has_nav_menu( 'primary_menu' ) ) {
                          wp_nav_menu(
                            array(
                              'theme_location' => 'primary_menu',
                              'container' => false,
                              'menu_class' => 'nav navbar-nav',
                              'walker' => new WDA_Walker_Nav_Primary(),
                            )
                          );
                        }
						else {
                          wp_nav_menu(
                              array(
                              'theme_location' => 'primary_menu',
							  'container' => 'ul',
                              'menu_class'     => 'navbar-wda simple-wda-menu-items-color',
                              'depth'                => 1,
                              )
                          );
                        }
                  ?>
              </nav>
        </div>


        </div>
        </div>

      </div>
    </div>    

    </header>