<?php

require get_template_directory() . '/inc/customizer/wda-sanitization.php';

add_action('after_switch_theme', 'register_default_options_once');

function register_default_options_once () {

    //* Preloader default options
  
    $default =  sanitize_text_field('');
    if (!get_theme_mod('wda_renaissance_general_settings_preloader')) {
        set_theme_mod( 'wda_renaissance_general_settings_preloader', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_general_settings_preloader_time')) {
        set_theme_mod( 'wda_renaissance_general_settings_preloader_time', $default);
    }		
    $default =  sanitize_hex_color('#e9e4fd');
    if(!get_theme_mod('wda_renaissance_general_settings_preloader_bg_color')) {
        set_theme_mod('wda_renaissance_general_settings_preloader_bg_color', $default);
    }
    $default =  esc_url(get_theme_file_uri('/images/preloaders/wda-preloader-style-1.svg'));
    if(!get_theme_mod('wda_renaissance_general_settings_preloader_image')) {
        set_theme_mod('wda_renaissance_general_settings_preloader_image', $default);
    }

    //* Fonts default options 

    $default =  sanitize_text_field('Roboto');
    if (!get_theme_mod('wda_renaissance_fonts_setting')) {
        set_theme_mod( 'wda_renaissance_fonts_setting', $default);
    }
	//* Top Header default options

    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_top_header_show')) {
        set_theme_mod( 'wda_renaissance_top_header_show', $default);
    }
    $default =  sanitize_hex_color('#7a5bfb');
    if(!get_theme_mod('wda_renaissance_top_header_bg_color')) {
        set_theme_mod('wda_renaissance_top_header_bg_color', $default);
    }
    $default =  sanitize_hex_color('#ffffff');
    if(!get_theme_mod('wda_renaissance_top_header_text_color')) {
        set_theme_mod('wda_renaissance_top_header_text_color', $default);
    }
    $default =  sanitize_text_field('(555) 555-1234');
    if (!get_theme_mod('wda_renaissance_top_header_phone_number')) {
        set_theme_mod( 'wda_renaissance_top_header_phone_number', $default);
    }
    $default =  sanitize_email('');
    if ( !get_theme_mod('wda_renaissance_top_header_email')) {
        set_theme_mod( 'wda_renaissance_top_header_email', $default);
    }
    $default =  sanitize_hex_color('#ffffff');
    if(!get_theme_mod('wda_renaissance_top_header_social_icons_color')) {
        set_theme_mod('wda_renaissance_top_header_social_icons_color', $default);
    }
    $default =  sanitize_hex_color('#7a5bfb');
    if(!get_theme_mod('wda_renaissance_top_header_social_icons_bg_color')) {
        set_theme_mod('wda_renaissance_top_header_social_icons_bg_color', $default);
    }
    $default =  esc_url('https://twitter.com');
    if(!get_theme_mod('wda_renaissance_top_header_twitter_url')) {
        set_theme_mod('wda_renaissance_top_header_twitter_url', $default);
    }
    $default =  esc_url('https://www.facebook.com');
    if(!get_theme_mod('wda_renaissance_top_header_facebook_url')) {
        set_theme_mod('wda_renaissance_top_header_facebook_url', $default);
    }
    $default =  esc_url('https://www.linkedin.com');
    if(!get_theme_mod('wda_renaissance_top_header_linkedin_url')) {
        set_theme_mod('wda_renaissance_top_header_linkedin_url', $default);
    }
    $default =  esc_url('https://www.youtube.com');
    if(!get_theme_mod('wda_renaissance_top_header_youtube_url')) {
        set_theme_mod('wda_renaissance_top_header_youtube_url', $default);
    }
    $default =  esc_url('https://www.instagram.com');
    if(!get_theme_mod('wda_renaissance_top_header_instagram_url')) {
        set_theme_mod('wda_renaissance_top_header_instagram_url', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_top_header_disable_twitter')) {
        set_theme_mod( 'wda_renaissance_top_header_disable_twitter', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_top_header_disable_facebook')) {
        set_theme_mod( 'wda_renaissance_top_header_disable_facebook', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_top_header_disable_linkedin')) {
        set_theme_mod( 'wda_renaissance_top_header_disable_linkedin', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_top_header_disable_youtube')) {
        set_theme_mod( 'wda_renaissance_top_header_disable_youtube', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_top_header_disable_instagram')) {
        set_theme_mod( 'wda_renaissance_top_header_disable_instagram', $default);
    }

    //* Header default options
    $default =  wda_checkbox_sanitization('');
    if (!get_theme_mod('wda_renaissance_top_header_position')) {
        set_theme_mod( 'wda_renaissance_top_header_position', $default);
    }
    $default =  sanitize_hex_color('#7a5bfb');
    if(!get_theme_mod('wda_renaissance_header_bg_color')) {
        set_theme_mod('wda_renaissance_header_bg_color', $default);
    }
    $default =  sanitize_hex_color('#ffffff');
    if(!get_theme_mod('wda_renaissance_header_logo_text_color')) {
        set_theme_mod('wda_renaissance_header_logo_text_color', $default);
    }
    $default =  sanitize_hex_color('#ffffff');
    if(!get_theme_mod('wda_renaissance_header_menu_items_color')) {
        set_theme_mod('wda_renaissance_header_menu_items_color', $default);
    }
    $default =  sanitize_hex_color('#ffffff');
    if(!get_theme_mod('wda_renaissance_header_mobile_menu_button_color')) {
        set_theme_mod('wda_renaissance_header_mobile_menu_button_color', $default);
    }
    $default =  sanitize_hex_color('#7a5bfb');
    if(!get_theme_mod('wda_renaissance_header_mobile_toolbar_color')) {
        set_theme_mod('wda_renaissance_header_mobile_toolbar_color', $default);
    }
    $default = sanitize_hex_color('#ffffff');
    if(!get_theme_mod('wda_renaissance_search_button_color')) {
        set_theme_mod('wda_renaissance_search_button_color', $default);
    }
    $default = sanitize_hex_color('#ffffff');
    if(!get_theme_mod('wda_renaissance_descktop_search_button_color')) {
        set_theme_mod('wda_renaissance_descktop_search_button_color', $default);
    }
    //* Footer default options
    $default = sanitize_text_field('Copyright ©2023. All rights reserved.');
    if(!get_theme_mod('wda_renaissance_footer_copyright_text')) {
        set_theme_mod('wda_renaissance_footer_copyright_text', $default);
    }
    $default = sanitize_text_field('2');
    if(!get_theme_mod('wda_renaissance_footer_template')) {
        set_theme_mod('wda_renaissance_footer_template', $default);
    }
    //* Homepage default options
    $default =  sanitize_text_field('');
    if(!get_theme_mod('wda_renaissance_custom_homepage_display_option')) {
        set_theme_mod('wda_renaissance_custom_homepage_display_option', $default);
    }
    $default = sanitize_text_field('Welcome!');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_title', $default);
    }
    $default = sanitize_text_field('75');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_title_font_size')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_title_font_size', $default);
    }
    $default =  sanitize_hex_color('#5a65ab');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_title_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_title_color', $default);
    }
    $default = sanitize_text_field('We think you will like it here.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_description')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_description', $default);
    }
    $default = sanitize_text_field('40');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_description_font_size')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_description_font_size', $default);
    }
    $default =  sanitize_hex_color('#5a65ab');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_description_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_description_color', $default);
    }
    $default = sanitize_text_field('Check out our new website design, share it with your friends and have fun.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_content')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_content', $default);
    }
    $default = sanitize_text_field('23');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_content_font_size')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_content_font_size', $default);
    }
    $default =  sanitize_hex_color('#5a65ab');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_content_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_content_color', $default);
    }
    $default = sanitize_text_field('More Details');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_button_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_button_text', $default);
    }
    $default =  esc_url('#');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_button_url')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_button_url', $default);
    }
    $default =  sanitize_hex_color('#856bf1');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_button_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_button_color', $default);
    }
    $default = sanitize_text_field('Order Now');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_second_button_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_second_button_text', $default);
    }
    $default =  esc_url('#');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_second_button_url')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_second_button_url', $default);
    }
    $default =  sanitize_hex_color('#626ce1');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_second_button_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_second_button_color', $default);
    }
    $default =  esc_url(get_theme_file_uri('/images/banner-homepage-image.jpg'));
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_image')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_image', $default);
    }
    $default =  sanitize_hex_color('#c5b5ff');
    if(!get_theme_mod('wda_renaissance_custom_homepage_banner_circle_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_banner_circle_color', $default);
    }
    $default =  sanitize_text_field('');
    if (!get_theme_mod('wda_renaissance_custom_homepage_hide_image_post_section')) {
        set_theme_mod( 'wda_renaissance_custom_homepage_hide_image_post_section', $default);
    }
    $default = sanitize_text_field('Special Post or Event');
    if(!get_theme_mod('wda_renaissance_custom_homepage_image_post_section_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_image_post_section_title', $default);
    }
    $default = sanitize_text_field('Take a moment and check out this important event or post below.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_image_post_section_description')) {
        set_theme_mod('wda_renaissance_custom_homepage_image_post_section_description', $default);
    }
    $default =  esc_url(get_theme_file_uri('/images/homepage-image-post-section.jpg'));
    if(!get_theme_mod('wda_renaissance_custom_homepage_image_post_section_image')) {
        set_theme_mod('wda_renaissance_custom_homepage_image_post_section_image', $default);
    }
    $default = sanitize_text_field('Short Desctiption Text');
    if(!get_theme_mod('wda_renaissance_custom_homepage_image_post_section_short_desc')) {
        set_theme_mod('wda_renaissance_custom_homepage_image_post_section_short_desc', $default);
    }
    $default = sanitize_text_field('Special Post Title');
    if(!get_theme_mod('wda_renaissance_custom_homepage_image_post_section_post_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_image_post_section_post_title', $default);
    }
    $default = sanitize_text_field('This is an important post or event that visitors to our site should pay attention to. Any important content can be added here. This is test content, so feel free to add your own text here. If you are interested or want to know more details, you can click the link below and check more details.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_image_post_section_post_content')) {
        set_theme_mod('wda_renaissance_custom_homepage_image_post_section_post_content', $default);
    }
    $default = sanitize_text_field('Check More Details');
    if(!get_theme_mod('wda_renaissance_custom_homepage_image_post_section_post_button_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_image_post_section_post_button_text', $default);
    }
    $default =  esc_url('#');
    if(!get_theme_mod('wda_renaissance_custom_homepage_image_post_section_post_button_url')) {
        set_theme_mod('wda_renaissance_custom_homepage_image_post_section_post_button_url', $default);
    }
    $default =  sanitize_text_field('');
    if (!get_theme_mod('wda_renaissance_custom_homepage_hide_achievements_section')) {
        set_theme_mod( 'wda_renaissance_custom_homepage_hide_achievements_section', $default);
    }
    $default = sanitize_text_field('Our Achievement');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_section_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_section_title', $default);
    }
    $default = sanitize_text_field('A test desctiption for the hompage section.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_section_desctiption')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_section_desctiption', $default);
    }
    $default = sanitize_text_field('7000');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_first_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_first_text', $default);
    }
    $default = sanitize_text_field('+');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_first_add_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_first_add_text', $default);
    }
    $default =  sanitize_hex_color('#F14D5D');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_first_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_first_color', $default);
    }
    $default = sanitize_text_field('Happy Customers');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_first_desc')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_first_desc', $default);
    }
    $default =  sanitize_hex_color('#64686d');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_first_desc_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_first_desc_color', $default);
    }
    $default = sanitize_text_field('37');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_second_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_second_text', $default);
    }
    $default = sanitize_text_field('+');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_second_add_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_second_add_text', $default);
    }
    $default =  sanitize_hex_color('#EE8C1C');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_second_text_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_second_text_color', $default);
    }
    $default = sanitize_text_field('Worldwide Offices');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_second_text_desc')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_second_text_desc', $default);
    }
    $default =  sanitize_hex_color('#64686d');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_second_text_desc_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_second_text_desc_color', $default);
    }
    $default = sanitize_text_field('1150');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_third_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_third_text', $default);
    }
    $default = sanitize_text_field('+');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_third_add_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_third_add_text', $default);
    }
    $default =  sanitize_hex_color('#333a65');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_third_text_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_third_text_color', $default);
    }
    $default = sanitize_text_field('Our Team');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_third_text_desc')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_third_text_desc', $default);
    }
    $default =  sanitize_hex_color('#64686d');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_third_text_desc_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_third_text_desc_color', $default);
    }
    $default = sanitize_text_field('20');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_fourth_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_fourth_text', $default);
    }
    $default = sanitize_text_field('+ years');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_fourth_add_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_fourth_add_text', $default);
    }
    $default =  sanitize_hex_color('#55BC7E');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_fourth_text_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_fourth_text_color', $default);
    }
    $default = sanitize_text_field('Our Experience');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_fourth_text_desc')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_fourth_text_desc', $default);
    }
    $default =  sanitize_hex_color('#64686d');
    if(!get_theme_mod('wda_renaissance_custom_homepage_achievements_fourth_text_desc_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_achievements_fourth_text_desc_color', $default);
    }
    $default =  sanitize_text_field('');
    if (!get_theme_mod('wda_renaissance_custom_homepage_hide_services_section')) {
        set_theme_mod( 'wda_renaissance_custom_homepage_hide_services_section', $default);
    }
    $default = sanitize_text_field('Our Services');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_section_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_section_title', $default);
    }
    $default = sanitize_text_field('Here is a list of our services.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_section_desc')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_section_desc', $default);
    }
    $default = sanitize_text_field('Data Analytics');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_first_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_first_title', $default);
    }
    $default = sanitize_text_field('Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_first_desc')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_first_desc', $default);
    }
    $default =  sanitize_hex_color('#5a65ab');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_first_bg_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_first_bg_color', $default);
    }
    $default =  sanitize_hex_color('#ffffff');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_first_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_first_color', $default);
    }
    $default = sanitize_text_field('Firewall Services');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_second_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_second_title', $default);
    }
    $default = sanitize_text_field('Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_second_desc')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_second_desc', $default);
    }
    $default =  sanitize_hex_color('#626ce1');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_second_bg_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_second_bg_color', $default);
    }
    $default =  sanitize_hex_color('#ffffff');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_second_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_second_color', $default);
    }
    $default = sanitize_text_field('Monitoring');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_third_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_third_title', $default);
    }
    $default = sanitize_text_field('Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_third_desc')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_third_desc', $default);
    }
    $default =  sanitize_hex_color('#00b6c7');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_third_bg_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_third_bg_color', $default);
    }
    $default =  sanitize_hex_color('#ffffff');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_third_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_third_color', $default);
    }
    $default = sanitize_text_field('Development');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_fourth_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_fourth_title', $default);
    }
    $default = sanitize_text_field('Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_fourth_desc')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_fourth_desc', $default);
    }
    $default =  sanitize_hex_color('#1f98df');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_fourth_bg_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_fourth_bg_color', $default);
    }
    $default =  sanitize_hex_color('#ffffff');
    if(!get_theme_mod('wda_renaissance_custom_homepage_services_fourth_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_services_fourth_color', $default);
    }
    $default =  sanitize_text_field('');
    if (!get_theme_mod('wda_renaissance_custom_homepage_hide_pricing_section')) {
        set_theme_mod( 'wda_renaissance_custom_homepage_hide_pricing_section', $default);
    }
    $default = sanitize_text_field('Our Pricing');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_title', $default);
    }
    $default = sanitize_text_field('Here are our services and prices in detail');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_desctiption')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_desctiption', $default);
    }
    $default = sanitize_text_field('/monthly');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_plan')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_plan', $default);
    }
    $default = sanitize_text_field('Starter');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_title', $default);
    }
    $default = sanitize_text_field('50$');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_price')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_price', $default);
    }
    $default = sanitize_text_field('Lifetime License');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_a')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_a', $default);
    }
    $default = sanitize_text_field('Premium Support');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_b')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_b', $default);
    }
    $default = sanitize_text_field('Premium Features');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_c')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_c', $default);
    }
    $default = sanitize_text_field('24 GB Space');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_d')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_d', $default);
    }
    $default = sanitize_text_field('5 Domains');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_e')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_e', $default);
    }
    $default = sanitize_text_field('Unlimited Database');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_f')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_f', $default);
    }
    $default = sanitize_text_field('100 Subdomains');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_g')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_text_g', $default);
    }
    $default =  sanitize_hex_color('#ff6f69');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_icon_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_icon_color', $default);
    }
    $default =  sanitize_hex_color('#ff6f69');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_plan_name_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_plan_name_color', $default);
    }
    $default =  sanitize_hex_color('#7a5bfb');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_plan_price_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_plan_price_color', $default);
    }
    $default =  sanitize_hex_color('#ff6f69');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_shadow_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_shadow_color', $default);
    }
    $default = sanitize_text_field('ORDER NOW');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_button_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_button_text', $default);
    }
    $default =  esc_url('#');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_button_url')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_first_el_button_url', $default);
    }
    $default = sanitize_text_field('Best Offer');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_title', $default);
    }
    $default = sanitize_text_field('99$');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_price')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_price', $default);
    }
    $default = sanitize_text_field('Lifetime License');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_a')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_a', $default);
    }
    $default = sanitize_text_field('Premium Support');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_b')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_b', $default);
    }
    $default = sanitize_text_field('Premium Features');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_c')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_c', $default);
    }
    $default = sanitize_text_field('1 TB Space');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_d')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_d', $default);
    }
    $default = sanitize_text_field('100 Domains');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_e')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_e', $default);
    }
    $default = sanitize_text_field('Unlimited Database');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_f')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_f', $default);
    }
    $default = sanitize_text_field('Unlimited Subdomains');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_g')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_g', $default);
    }
    $default = sanitize_text_field('Most Popular');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_h')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_h', $default);
    }
    $default = sanitize_text_field('Perfect for Developers');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_i')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_text_i', $default);
    }
    $default =  sanitize_hex_color('#7a5bfb');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_icon_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_icon_color', $default);
    }
    $default =  sanitize_hex_color('#7a5bfb');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_plan_name_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_plan_name_color', $default);
    }
    $default =  sanitize_hex_color('#ff6f69');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_plan_price_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_plan_price_color', $default);
    }
    $default =  sanitize_hex_color('#7a5bfb');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_shadow_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_shadow_color', $default);
    }
    $default = sanitize_text_field('ORDER NOW');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_button_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_button_text', $default);
    }
    $default =  esc_url('#');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_button_url')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_second_el_button_url', $default);
    }
    $default = sanitize_text_field('Enterprise');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_title', $default);
    }
    $default = sanitize_text_field('399$');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_price')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_price', $default);
    }
    $default = sanitize_text_field('Lifetime License');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_a')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_a', $default);
    }
    $default = sanitize_text_field('Premium Support');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_b')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_b', $default);
    }
    $default = sanitize_text_field('Premium Features');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_c')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_c', $default);
    }
    $default = sanitize_text_field('Unlimited Space');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_d')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_d', $default);
    }
    $default = sanitize_text_field('Unlimited Domains');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_e')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_e', $default);
    }
    $default = sanitize_text_field('Unlimited Database');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_f')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_f', $default);
    }
    $default = sanitize_text_field('Unlimited Subdomains');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_g')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_text_g', $default);
    }
    $default =  sanitize_hex_color('#ff6f69');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_icon_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_icon_color', $default);
    }
    $default =  sanitize_hex_color('#ff6f69');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_plan_name_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_plan_name_color', $default);
    }
    $default =  sanitize_hex_color('#7a5bfb');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_plan_price_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_plan_price_color', $default);
    }
    $default =  sanitize_hex_color('#ff6f69');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_shadow_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_shadow_color', $default);
    }
    $default = sanitize_text_field('ORDER NOW');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_button_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_button_text', $default);
    }
    $default =  esc_url('#');
    if(!get_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_button_url')) {
        set_theme_mod('wda_renaissance_custom_homepage_pricing_third_el_button_url', $default);
    }
    $default =  sanitize_text_field('');
    if (!get_theme_mod('wda_renaissance_custom_homepage_hide_advantages_section')) {
        set_theme_mod( 'wda_renaissance_custom_homepage_hide_advantages_section', $default);
    }
    $default = sanitize_text_field('Why Choose Us');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_section_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_section_title', $default);
    }
    $default = sanitize_text_field('Our Advantages');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_section_desctiption')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_section_desctiption', $default);
    }
    $default = sanitize_text_field('Clear Coding');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_first_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_first_title', $default);
    }
    $default = sanitize_text_field('Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_first_desctiption')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_first_desctiption', $default);
    }
    $default =  sanitize_hex_color('#F14D5D');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_first_icon_title_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_first_icon_title_color', $default);
    }
    $default =  sanitize_hex_color('#000000');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_first_text_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_first_text_color', $default);
    }
    $default = sanitize_text_field('Security Guaranteed');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_second_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_second_title', $default);
    }
    $default = sanitize_text_field('Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_second_desctiption')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_second_desctiption', $default);
    }
    $default =  sanitize_hex_color('#55BC7E');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_second_icon_title_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_second_icon_title_color', $default);
    }
    $default =  sanitize_hex_color('#000000');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_second_text_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_second_text_color', $default);
    }
    $default = sanitize_text_field('Always On-Time');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_third_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_third_title', $default);
    }
    $default = sanitize_text_field('Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_third_desctiption')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_third_desctiption', $default);
    }
    $default =  sanitize_hex_color('#EE8C1C');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_third_icon_title_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_third_icon_title_color', $default);
    }
    $default =  sanitize_hex_color('#000000');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_third_text_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_third_text_color', $default);
    }
    $default = sanitize_text_field('Great Experience');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_fourth_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_fourth_title', $default);
    }
    $default = sanitize_text_field('Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_fourth_desctiption')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_fourth_desctiption', $default);
    }
    $default =  sanitize_hex_color('#6a2cb5');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_fourth_icon_title_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_fourth_icon_title_color', $default);
    }
    $default =  sanitize_hex_color('#000000');
    if(!get_theme_mod('wda_renaissance_custom_homepage_advantages_fourth_text_color')) {
        set_theme_mod('wda_renaissance_custom_homepage_advantages_fourth_text_color', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_custom_homepage_hide_call_action')) {
        set_theme_mod( 'wda_renaissance_custom_homepage_hide_call_action', $default);
    }
    $default = sanitize_text_field('Best Service');
    if(!get_theme_mod('wda_renaissance_custom_homepage_call_action_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_call_action_title', $default);
    }
    $default = sanitize_text_field('A short description for the call to action section.');
    if(!get_theme_mod('wda_renaissance_custom_homepage_call_action_desc')) {
        set_theme_mod('wda_renaissance_custom_homepage_call_action_desc', $default);
    }
    $default = sanitize_text_field('The text of the call to action section. If you are interested in this service, click the button and learn more about it!!!');
    if(!get_theme_mod('wda_renaissance_custom_homepage_call_action_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_call_action_text', $default);
    }
    $default = sanitize_text_field('Check More Details');
    if(!get_theme_mod('wda_renaissance_custom_homepage_call_action_button_text')) {
        set_theme_mod('wda_renaissance_custom_homepage_call_action_button_text', $default);
    }
    $default =  esc_url('#');
    if(!get_theme_mod('wda_renaissance_custom_homepage_call_action_button_url')) {
        set_theme_mod('wda_renaissance_custom_homepage_call_action_button_url', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_custom_homepage_hide_latest_post_section')) {
        set_theme_mod( 'wda_renaissance_custom_homepage_hide_latest_post_section', $default);
    }
    $default = sanitize_text_field('Latest Blog Posts');
    if(!get_theme_mod('wda_renaissance_custom_homepage_latest_post_title')) {
        set_theme_mod('wda_renaissance_custom_homepage_latest_post_title', $default);
    }
    $default = sanitize_text_field('Latest news from our blog');
    if(!get_theme_mod('wda_renaissance_custom_homepage_latest_post_desctiption')) {
        set_theme_mod('wda_renaissance_custom_homepage_latest_post_desctiption', $default);
    }
    //* Blog default options  
    $default =  sanitize_hex_color('#f6f4ff');
    if(!get_theme_mod('wda_renaissance_blog_banner_color')) {
        set_theme_mod('wda_renaissance_blog_banner_color', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_blog_banner_animations')) {
        set_theme_mod( 'wda_renaissance_blog_banner_animations', $default);
    }
    $default =  sanitize_text_field('left');
    if (!get_theme_mod('wda_renaissance_blog_title_position')) {
        set_theme_mod( 'wda_renaissance_blog_title_position', $default);
    }
    $default =  esc_url(get_home_url());
    if(!get_theme_mod('wda_renaissance_blog_settings_page_url')) {
        set_theme_mod('wda_renaissance_blog_settings_page_url', $default);
    }
    $default =  sanitize_hex_color('#5a65ab');
    if(!get_theme_mod('wda_renaissance_blog_settings_title_color')) {
        set_theme_mod('wda_renaissance_blog_settings_title_color', $default);
    }
    $default =  sanitize_hex_color('#7a5bfb');
    if(!get_theme_mod('wda_renaissance_blog_settings_date_border_color')) {
        set_theme_mod('wda_renaissance_blog_settings_date_border_color', $default);
    }
    //* Pages and Posts
    $default =  sanitize_hex_color('#f6f4ff');
    if(!get_theme_mod('wda_renaissance_single_page_banner_bg_color')) {
        set_theme_mod('wda_renaissance_single_page_banner_bg_color', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_single_page_banner_animations')) {
        set_theme_mod( 'wda_renaissance_single_page_banner_animations', $default);
    }
    $default =  sanitize_text_field('left');
    if (!get_theme_mod('wda_renaissance_single_page_title_position')) {
        set_theme_mod( 'wda_renaissance_single_page_title_position', $default);
    }
    $default =  sanitize_hex_color('#f6f4ff');
    if(!get_theme_mod('wda_renaissance_single_post_banner_bg_color')) {
        set_theme_mod('wda_renaissance_single_post_banner_bg_color', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_single_post_banner_animations')) {
        set_theme_mod( 'wda_renaissance_single_post_banner_animations', $default);
    }
    $default =  sanitize_text_field('left');
    if (!get_theme_mod('wda_renaissance_single_post_title_position')) {
        set_theme_mod( 'wda_renaissance_single_post_title_position', $default);
    }
    //* Archive and Search
    $default =  sanitize_hex_color('#f6f4ff');
    if(!get_theme_mod('wda_renaissance_archive_banner_bg_color')) {
        set_theme_mod('wda_renaissance_archive_banner_bg_color', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_archive_banner_animations')) {
        set_theme_mod( 'wda_renaissance_archive_banner_animations', $default);
    }
    $default =  sanitize_text_field('left');
    if (!get_theme_mod('wda_renaissance_archive_page_title_position')) {
        set_theme_mod( 'wda_renaissance_archive_page_title_position', $default);
    }
    $default =  sanitize_hex_color('#f6f4ff');
    if(!get_theme_mod('wda_renaissance_search_banner_color')) {
        set_theme_mod('wda_renaissance_search_banner_color', $default);
    }
    $default =  wda_checkbox_sanitization('1');
    if (!get_theme_mod('wda_renaissance_search_banner_animations')) {
        set_theme_mod( 'wda_renaissance_search_banner_animations', $default);
    }
    $default =  sanitize_text_field('left');
    if (!get_theme_mod('wda_renaissance_search_title_position')) {
        set_theme_mod( 'wda_renaissance_search_title_position', $default);
    }
    //* 404 error page default options  

    $default =  esc_url(get_theme_file_uri('/images/wda-404.png'));
    if(!get_theme_mod('wda_renaissance_not_found_image')) {
        set_theme_mod('wda_renaissance_not_found_image', $default);
    }
    $default = sanitize_text_field('Page Not Found');
    if(!get_theme_mod('wda_renaissance_not_found_page_title')) {
        set_theme_mod('wda_renaissance_not_found_page_title', $default);
    }
    $default = sanitize_text_field('Oops! That page can not be found. You can check the homepage or use the search.');
    if(!get_theme_mod('wda_renaissance_not_found_page_description')) {
        set_theme_mod('wda_renaissance_not_found_page_description', $default);
    }
    $default = sanitize_text_field('Back to Homepage');
    if(!get_theme_mod('wda_renaissance_not_found_page_button_text')) {
        set_theme_mod('wda_renaissance_not_found_page_button_text', $default);
    }
    $default =  esc_url(get_home_url());
    if(!get_theme_mod('wda_renaissance_not_found_page_button_url')) {
        set_theme_mod('wda_renaissance_not_found_page_button_url', $default);
    }
    $default =  sanitize_hex_color('#7052fb');
    if(!get_theme_mod('wda_renaissance_not_found_page_button_color')) {
        set_theme_mod('wda_renaissance_not_found_page_button_color', $default);
    }
    
}