<?php

require get_template_directory() . '/inc/customizer/wda-sanitization.php';
 
function wda_renaissance_customize_register( $wp_customize ) {

	##################------ Pro Button Section ------##################

	$wp_customize->register_section_type( 'wda_Renaissance_Sction_Pro' );

	$wp_customize->add_section(
		new wda_Renaissance_Sction_Pro(
			$wp_customize,
			'theme_upsell',
			array(
				'title'    => esc_html__('Renaissance WDA','renaissance-wda'),
				'pro_text' => esc_html__('PRO','renaissance-wda'),
				'pro_url'  => esc_url('https://wpdevart.com/renaissance-wda-wordpress-theme'),
				'priority'  => 10,
			)
		)
	);
 
	##################------ FONTS SETTINGS ------##################
	$wp_customize->add_section('wda_renaissance_fonts_section',array(
		'title'	=> esc_html__('Fonts','renaissance-wda'),					
		'priority'		=> 25
	));
		
	$wp_customize->add_setting('wda_renaissance_fonts_setting',array(
		'default'	=> esc_html('Roboto'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));

	$wp_customize->add_control('wda_renaissance_fonts_setting',array(
			'label'	=> esc_html__('Select the font','renaissance-wda'),
			'section'	=> 'wda_renaissance_fonts_section',
			'setting'	=> 'wda_renaissance_fonts_setting',
			'type' => 'select',
			'choices' => array(
				'Roboto' => 'Roboto',
				'Poppins' => 'Poppins',
				'Open Sans' => 'Open Sans',
				'Alegreya' => 'Alegreya',
				'Alegreya Sans' => 'Alegreya Sans',
				'Lato' => 'Lato',
				'Montserrat' => 'Montserrat',
				'Oswald' => 'Oswald',
				'Raleway' => 'Raleway',
				'Inknut Antiqua' => 'Inknut Antiqua',
				)
	));	
    ##################------ TOP HEADER ------##################
 
	$wp_customize->add_section('wda_renaissance_top_header_section',array(
		'title'	=> esc_html__('Top Header','renaissance-wda'),					
		'priority'		=> 25
	));
	$wp_customize->add_setting('wda_renaissance_top_header_show',array(
		'sanitize_callback'	=> 'wda_checkbox_sanitization'	
	));
	$wp_customize->add_control('wda_renaissance_top_header_show',array(
			'label'	=> esc_html__('Show Top Header','renaissance-wda'),
			'section'	=> 'wda_renaissance_top_header_section',
			'setting'	=> 'wda_renaissance_top_header_show',
			'type' => 'checkbox',
	));	
	$wp_customize->add_setting('wda_renaissance_top_header_bg_color',array(
		'default'	=> esc_html('#7a5bfb'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_top_header_bg_color', array(
        'label' => esc_html__('Top header background color','renaissance-wda'),
        'section' => 'wda_renaissance_top_header_section',
        'settings' => 'wda_renaissance_top_header_bg_color'
    )));
	$wp_customize->add_setting('wda_renaissance_top_header_text_color',array(
		'default'	=> esc_html('#ffffff'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_top_header_text_color', array(
        'label' => esc_html__('Top header text color','renaissance-wda'),
        'section' => 'wda_renaissance_top_header_section',
        'settings' => 'wda_renaissance_top_header_text_color'
    )));
	$wp_customize->add_setting('wda_renaissance_top_header_phone_number',array(
		'default'	=> esc_html('(555) 555-1234'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_top_header_phone_number',
            array(
                'label'    => esc_html__('Phone Number','renaissance-wda'),
                'section'  => 'wda_renaissance_top_header_section',
                'settings' => 'wda_renaissance_top_header_phone_number',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_top_header_email', array(
			'default'	=> esc_html(''),
			'sanitize_callback' => 'sanitize_email'
		)
	);
	$wp_customize->add_control('wda_renaissance_top_header_email', array(
			'label' => esc_html__( 'Email', 'renaissance-wda' ),
			'section' => 'wda_renaissance_top_header_section',
			'settings' => 'wda_renaissance_top_header_email',
			'type' => 'email'
		)
	);
	$wp_customize->add_setting('wda_renaissance_top_header_social_icons_color',array(
		'default'	=> esc_html('#ffffff'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_top_header_social_icons_color', array(
        'label' => esc_html__('Social icons color','renaissance-wda'),
        'section' => 'wda_renaissance_top_header_section',
        'settings' => 'wda_renaissance_top_header_social_icons_color'
    )));
	$wp_customize->add_setting('wda_renaissance_top_header_social_icons_bg_color',array(
		'default'	=> esc_html('#7a5bfb'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_top_header_social_icons_bg_color', array(
        'label' => esc_html__('Social icons background color','renaissance-wda'),
        'section' => 'wda_renaissance_top_header_section',
        'settings' => 'wda_renaissance_top_header_social_icons_bg_color'
    )));
	$wp_customize->add_setting('wda_renaissance_top_header_twitter_url',array(
		'default'	=> esc_url('https://twitter.com'),
		'sanitize_callback'	=> 'sanitize_url'	
	));
	$wp_customize->add_control('wda_renaissance_top_header_twitter_url',array(
			'label'	=> esc_html__('Twitter page URL','renaissance-wda'),
			'section'	=> 'wda_renaissance_top_header_section',
			'setting'	=> 'wda_renaissance_top_header_twitter_url'
	));	
	$wp_customize->add_setting('wda_renaissance_top_header_facebook_url',array(
		'default'	=> esc_url('https://www.facebook.com/'),
		'sanitize_callback'	=> 'sanitize_url'	
	));
	$wp_customize->add_control('wda_renaissance_top_header_facebook_url',array(
			'label'	=> esc_html__('Facebook page URL','renaissance-wda'),
			'section'	=> 'wda_renaissance_top_header_section',
			'setting'	=> 'wda_renaissance_top_header_facebook_url'
	));	
	$wp_customize->add_setting('wda_renaissance_top_header_linkedin_url',array(
		'default'	=> esc_url('https://www.linkedin.com'),
		'sanitize_callback'	=> 'sanitize_url'	
	));
	$wp_customize->add_control('wda_renaissance_top_header_linkedin_url',array(
			'label'	=> esc_html__('Linkedin page URL','renaissance-wda'),
			'section'	=> 'wda_renaissance_top_header_section',
			'setting'	=> 'wda_renaissance_top_header_linkedin_url'
	));	
	$wp_customize->add_setting('wda_renaissance_top_header_youtube_url',array(
		'default'	=> esc_url('https://www.youtube.com/'),
		'sanitize_callback'	=> 'sanitize_url'	
	));
	$wp_customize->add_control('wda_renaissance_top_header_youtube_url',array(
			'label'	=> esc_html__('YouTube page URL','renaissance-wda'),
			'section'	=> 'wda_renaissance_top_header_section',
			'setting'	=> 'wda_renaissance_top_header_youtube_url'
	));	
	$wp_customize->add_setting('wda_renaissance_top_header_instagram_url',array(
		'default'	=> esc_url('https://www.instagram.com/'),
		'sanitize_callback'	=> 'sanitize_url'	
	));
	$wp_customize->add_control('wda_renaissance_top_header_instagram_url',array(
			'label'	=> esc_html__('Instagram page URL','renaissance-wda'),
			'section'	=> 'wda_renaissance_top_header_section',
			'setting'	=> 'wda_renaissance_top_header_instagram_url'
	));	

    ##################------ HEADER ------##################

	$wp_customize->add_section('wda_renaissance_header_section',array(
		'title'	=> esc_html__('Header','renaissance-wda'),					
		'priority'		=> 25
	));
	$wp_customize->add_setting('wda_renaissance_header_bg_color',array(
		'default'	=> esc_html('#7a5bfb'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_header_bg_color', array(
        'label' => esc_html__('Background color','renaissance-wda'),
        'section' => 'wda_renaissance_header_section',
        'settings' => 'wda_renaissance_header_bg_color'
    )));
	$wp_customize->add_setting('wda_renaissance_header_logo_text_color',array(
		'default'	=> esc_html('#ffffff'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_header_logo_text_color', array(
        'label' => esc_html__('Logo text color','renaissance-wda'),
        'section' => 'wda_renaissance_header_section',
        'settings' => 'wda_renaissance_header_logo_text_color'
    )));
	$wp_customize->add_setting('wda_renaissance_header_menu_items_color',array(
		'default'	=> esc_html('#ffffff'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_header_menu_items_color', array(
        'label' => esc_html__('Menu items color','renaissance-wda'),
        'section' => 'wda_renaissance_header_section',
        'settings' => 'wda_renaissance_header_menu_items_color'
    )));
	$wp_customize->add_setting('wda_renaissance_header_mobile_menu_button_color',array(
		'default'	=> esc_html('#ffffff'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_header_mobile_menu_button_color', array(
        'label' => esc_html__('Mobile menu button color','renaissance-wda'),
        'section' => 'wda_renaissance_header_section',
        'settings' => 'wda_renaissance_header_mobile_menu_button_color'
    )));
	$wp_customize->add_setting('wda_renaissance_header_mobile_toolbar_color',array(
		'default'	=> esc_html('#7a5bfb'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_header_mobile_toolbar_color', array(
        'label' => esc_html__('Mobile toolbar color','renaissance-wda'),
        'section' => 'wda_renaissance_header_section',
        'settings' => 'wda_renaissance_header_mobile_toolbar_color'
    )));

	##################------ FOOTER ------##################

	$wp_customize->add_section('wda_renaissance_footer_section',array(
		'title'	=> esc_html__('Footer','renaissance-wda'),					
		'priority'		=> 43
	));
	$wp_customize->add_setting('wda_renaissance_footer_copyright_text',array(
		'default'	=> esc_html('Copyright ©2023. All rights reserved.'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_footer_copyright_text',
            array(
                'label'    => esc_html__('Footer text','renaissance-wda'),
                'section'  => 'wda_renaissance_footer_section',
                'settings' => 'wda_renaissance_footer_copyright_text',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_footer_template',array(
		'default'	=> esc_html('2'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_footer_template',array(
			'label'	=> esc_html__('Footer template','renaissance-wda'),
			'section'	=> 'wda_renaissance_footer_section',
			'setting'	=> 'wda_renaissance_footer_template',
			'type' => 'select',
			'choices' => array(
				'1' => 'Style 1',
				'2' => 'Style 2',
				)
	));	

    ##################------ CUSTOM HOMEPAGE ------##################

	$wp_customize->add_panel( 'wda_renaissance_custom_homepage_panel', 
    array(
		'title'	=> esc_html__('Custom Homepage','renaissance-wda'),			
        'description'	=> esc_html__('Customize the theme custom homepage','renaissance-wda'),		
		'priority'		=> 30
    ) 
	);
	$wp_customize->add_section('wda_renaissance_custom_homepage_section',array(
		'title'	=> esc_html__('Enable Custom Homepage','renaissance-wda'),					
		'priority'		=> null,
		'panel'         => 'wda_renaissance_custom_homepage_panel'
	));
	$wp_customize->add_setting('wda_renaissance_custom_homepage_display_option',array(
		'default'	=> esc_html(''),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_custom_homepage_display_option',array(
			'label'	=> esc_html__('Display custom homepage instead of the latest posts','renaissance-wda'),
			'section'	=> 'wda_renaissance_custom_homepage_section',
			'setting'	=> 'wda_renaissance_custom_homepage_display_option',
			'type' => 'checkbox',
	));	
	$wp_customize->add_section('wda_renaissance_custom_homepage_banner_section',array(
		'title'	=> esc_html__('Banner Section','renaissance-wda'),					
		'priority'		=> null,
		'panel'         => 'wda_renaissance_custom_homepage_panel'
	));
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_title',array(
		'default'	=> esc_html('Welcome!'),'renaissance-wda',
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_custom_homepage_banner_title',
            array(
                'label'    => esc_html__('Banner title','renaissance-wda'),
                'section'  => 'wda_renaissance_custom_homepage_banner_section',
                'settings' => 'wda_renaissance_custom_homepage_banner_title',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_title_font_size',array(
		'default'	=> esc_html('75'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_custom_homepage_banner_title_font_size',array(
			'label'	=> esc_html__('Title font-size','renaissance-wda'),
			'section'	=> 'wda_renaissance_custom_homepage_banner_section',
			'setting'	=> 'wda_renaissance_custom_homepage_banner_title_font_size',
			'type' => 'number',
	));	
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_title_color',array(
		'default'	=> esc_html('#5a65ab'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_custom_homepage_banner_title_color', array(
        'label' => esc_html__('Banner title color','renaissance-wda'),
        'section' => 'wda_renaissance_custom_homepage_banner_section',
        'settings' => 'wda_renaissance_custom_homepage_banner_title_color'
    )));
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_description',array(
		'default'	=> esc_html('We think you will like it here.'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_custom_homepage_banner_description',
            array(
                'label'    => esc_html__('Banner description','renaissance-wda'),
                'section'  => 'wda_renaissance_custom_homepage_banner_section',
                'settings' => 'wda_renaissance_custom_homepage_banner_description',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_description_font_size',array(
		'default'	=> esc_html('40'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_custom_homepage_banner_description_font_size',array(
			'label'	=> esc_html__('Description font-size','renaissance-wda'),
			'section'	=> 'wda_renaissance_custom_homepage_banner_section',
			'setting'	=> 'wda_renaissance_custom_homepage_banner_description_font_size',
			'type' => 'number',
	));	
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_description_color',array(
		'default'	=> esc_html('#5a65ab'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_custom_homepage_banner_description_color', array(
        'label' => esc_html__('Banner description color','renaissance-wda'),
        'section' => 'wda_renaissance_custom_homepage_banner_section',
        'settings' => 'wda_renaissance_custom_homepage_banner_description_color'
    )));
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_content',array(
		'default'	=> esc_html('Check out our new website design, share it with your friends and have fun.'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_custom_homepage_banner_content',
            array(
                'label'    => esc_html__('Banner content text','renaissance-wda'),
                'section'  => 'wda_renaissance_custom_homepage_banner_section',
                'settings' => 'wda_renaissance_custom_homepage_banner_content',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_content_font_size',array(
		'default'	=> esc_html('23'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_custom_homepage_banner_content_font_size',array(
			'label'	=> esc_html__('Content text font-size','renaissance-wda'),
			'section'	=> 'wda_renaissance_custom_homepage_banner_section',
			'setting'	=> 'wda_renaissance_custom_homepage_banner_content_font_size',
			'type' => 'number',
	));	
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_content_color',array(
		'default'	=> esc_html('#5a65ab'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_custom_homepage_banner_content_color', array(
        'label' => esc_html__('Banner content text color','renaissance-wda'),
        'section' => 'wda_renaissance_custom_homepage_banner_section',
        'settings' => 'wda_renaissance_custom_homepage_banner_content_color'
    )));
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_button_text',array(
		'default'	=> esc_html('More Details'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_custom_homepage_banner_button_text',
            array(
                'label'    => esc_html__('Button text','renaissance-wda'),
                'section'  => 'wda_renaissance_custom_homepage_banner_section',
                'settings' => 'wda_renaissance_custom_homepage_banner_button_text',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_button_url',array(
		'default'	=> esc_url('#'),
		'sanitize_callback'	=> 'sanitize_url'
	));
	$wp_customize->add_control('wda_renaissance_custom_homepage_banner_button_url',array(
			'label'	=> esc_html__('Button URL','renaissance-wda'),
			'section'	=> 'wda_renaissance_custom_homepage_banner_section',
			'setting'	=> 'wda_renaissance_custom_homepage_banner_button_url'
	));	
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_button_color',array(
		'default'	=> esc_html('#856bf1'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_custom_homepage_banner_button_color', array(
        'label' => esc_html__('Button color','renaissance-wda'),
        'section' => 'wda_renaissance_custom_homepage_banner_section',
        'settings' => 'wda_renaissance_custom_homepage_banner_button_color'
    )));
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_second_button_text',array(
		'default'	=> esc_html('Order Now'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_custom_homepage_banner_second_button_text',
            array(
                'label'    => esc_html__('Second button text','renaissance-wda'),
                'section'  => 'wda_renaissance_custom_homepage_banner_section',
                'settings' => 'wda_renaissance_custom_homepage_banner_second_button_text',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_second_button_url',array(
		'default'	=> esc_url('#'),
		'sanitize_callback'	=> 'sanitize_url'
	));
	$wp_customize->add_control('wda_renaissance_custom_homepage_banner_second_button_url',array(
			'label'	=> esc_html__('Second button URL','renaissance-wda'),
			'section'	=> 'wda_renaissance_custom_homepage_banner_section',
			'setting'	=> 'wda_renaissance_custom_homepage_banner_second_button_url'
	));	
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_second_button_color',array(
		'default'	=> esc_html('#626ce1'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_custom_homepage_banner_second_button_color', array(
        'label' => esc_html__('Second button color','renaissance-wda'),
        'section' => 'wda_renaissance_custom_homepage_banner_section',
        'settings' => 'wda_renaissance_custom_homepage_banner_second_button_color'
    )));
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_image',array(
		'default'	=> esc_url(get_theme_file_uri('/images/banner-homepage-image.jpg')),
		'sanitize_callback'	=> 'sanitize_url'
	));
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'wda_renaissance_custom_homepage_banner_image', array(
        'label' => esc_html__('Upload the Banner Image','renaissance-wda'),
        'section' => 'wda_renaissance_custom_homepage_banner_section',
        'settings' => 'wda_renaissance_custom_homepage_banner_image',
        'button_labels' => array(
                    'select' => esc_html__('Select Image','renaissance-wda'),
                    'remove' => esc_html__('Remove Image','renaissance-wda'),
                    'change' => esc_html__('Change Image','renaissance-wda'),
                    )
    )));
	$wp_customize->add_setting('wda_renaissance_custom_homepage_banner_circle_color',array(
		'default'	=> esc_html('#c5b5ff'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_custom_homepage_banner_circle_color', array(
        'label' => esc_html__('Circle color of the Image','renaissance-wda'),
        'section' => 'wda_renaissance_custom_homepage_banner_section',
        'settings' => 'wda_renaissance_custom_homepage_banner_circle_color'
    )));
	$wp_customize->add_section('wda_renaissance_custom_homepage_call_action_section',array(
		'title'	=> esc_html__('Call to Action Section','renaissance-wda'),					
		'priority'		=> null,
		'panel'         => 'wda_renaissance_custom_homepage_panel'
	));

	$wp_customize->add_setting('wda_renaissance_custom_homepage_call_action_title',array(
		'default'	=> esc_html('Best Service'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_custom_homepage_call_action_title',
            array(
                'label'    => esc_html__('Call to action title','renaissance-wda'),
                'section'  => 'wda_renaissance_custom_homepage_call_action_section',
                'settings' => 'wda_renaissance_custom_homepage_call_action_title',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_custom_homepage_call_action_desc',array(
		'default'	=> esc_html('A short description for the call to action section.'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_custom_homepage_call_action_desc',
            array(
                'label'    => esc_html__('Call to action description','renaissance-wda'),
                'section'  => 'wda_renaissance_custom_homepage_call_action_section',
                'settings' => 'wda_renaissance_custom_homepage_call_action_desc',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_custom_homepage_call_action_text',array(
		'default'	=> esc_html('The text of the call to action section. If you are interested in this service, click the button and learn more about it!!!'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_custom_homepage_call_action_text',
            array(
                'label'    => esc_html__('Call to action text','renaissance-wda'),
                'section'  => 'wda_renaissance_custom_homepage_call_action_section',
                'settings' => 'wda_renaissance_custom_homepage_call_action_text',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_custom_homepage_call_action_button_text',array(
		'default'	=> esc_html('Check More Details'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_custom_homepage_call_action_button_text',
            array(
                'label'    => esc_html__('Call to action button text','renaissance-wda'),
                'section'  => 'wda_renaissance_custom_homepage_call_action_section',
                'settings' => 'wda_renaissance_custom_homepage_call_action_button_text',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_custom_homepage_call_action_button_url',array(
		'default'	=> esc_url('#'),
		'sanitize_callback'	=> 'sanitize_url'	
	));
	$wp_customize->add_control('wda_renaissance_custom_homepage_call_action_button_url',array(
			'label'	=> esc_html__('Call to action button URL','renaissance-wda'),
			'section'	=> 'wda_renaissance_custom_homepage_call_action_section',
			'setting'	=> 'wda_renaissance_custom_homepage_call_action_button_url'
	));	
	$wp_customize->add_section('wda_renaissance_custom_homepage_latest_posts_section',array(
		'title'	=> esc_html__('Latest Posts Section','renaissance-wda'),					
		'priority'		=> null,
		'panel'         => 'wda_renaissance_custom_homepage_panel'
	));

	$wp_customize->add_setting('wda_renaissance_custom_homepage_latest_post_title',array(
		'default'	=> esc_html('Latest Blog Posts'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_custom_homepage_latest_post_title',
            array(
                'label'    => esc_html__('Latest Posts section title','renaissance-wda'),
                'section'  => 'wda_renaissance_custom_homepage_latest_posts_section',
                'settings' => 'wda_renaissance_custom_homepage_latest_post_title',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_custom_homepage_latest_post_desctiption',array(
		'default'	=> esc_html('Latest news from our blog'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_custom_homepage_latest_post_desctiption',
            array(
                'label'    => esc_html__('Latest Posts section description','renaissance-wda'),
                'section'  => 'wda_renaissance_custom_homepage_latest_posts_section',
                'settings' => 'wda_renaissance_custom_homepage_latest_post_desctiption',
                'type'     => 'text'
            )
        )
    );
	##################------ BLOG SECTION ------##################

	$wp_customize->add_section('wda_renaissance_blog_section',array(
		'title'	=> esc_html__('Blog','renaissance-wda'),					
		'priority'		=> 31
	));
	$wp_customize->add_setting('wda_renaissance_blog_banner_color',array(
		'default'	=> esc_html('#f6f4ff'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_blog_banner_color', array(
        'label' => esc_html__('Blog page banner color','renaissance-wda'),
        'section' => 'wda_renaissance_blog_section',
        'settings' => 'wda_renaissance_blog_banner_color'
    )));
	$wp_customize->add_setting('wda_renaissance_blog_banner_animations',array(
		'sanitize_callback'	=> 'wda_checkbox_sanitization'	
	));
	$wp_customize->add_control('wda_renaissance_blog_banner_animations',array(
			'label'	=> esc_html__('Show banner animation','renaissance-wda'),
			'section'	=> 'wda_renaissance_blog_section',
			'setting'	=> 'wda_renaissance_blog_banner_animations',
			'type' => 'checkbox',
	));	
	$wp_customize->add_setting('wda_renaissance_blog_title_position',array(
		'default'	=> esc_html('left'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_blog_title_position',array(
			'label'	=> esc_html__('Select the title position','renaissance-wda'),
			'section'	=> 'wda_renaissance_blog_section',
			'setting'	=> 'wda_renaissance_blog_title_position',
			'type' => 'select',
			'choices' => array(
				'left' => 'Left',
				'center' => 'Center',
				'right' => 'Right',
				)
	));	
	$wp_customize->add_setting('wda_renaissance_blog_settings_page_url',array(
		'default'	=> esc_url(get_home_url()),
		'sanitize_callback'	=> 'sanitize_url'	
	));
	$wp_customize->add_control('wda_renaissance_blog_settings_page_url',array(
			'label'	=> esc_html__('Blog URL','renaissance-wda'),
			'section'	=> 'wda_renaissance_blog_section',
			'setting'	=> 'wda_renaissance_blog_settings_page_url'
	));	

	$wp_customize->add_setting('wda_renaissance_blog_settings_title_color',array(
		'default'	=> esc_html('#5a65ab'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_blog_settings_title_color', array(
        'label' => esc_html__('Blog posts title color','renaissance-wda'),
        'section' => 'wda_renaissance_blog_section',
        'settings' => 'wda_renaissance_blog_settings_title_color'
    )));
	$wp_customize->add_setting('wda_renaissance_blog_settings_date_border_color',array(
		'default'	=> esc_html('#7a5bfb'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_blog_settings_date_border_color', array(
        'label' => esc_html__('Blog posts date and border color','renaissance-wda'),
        'section' => 'wda_renaissance_blog_section',
        'settings' => 'wda_renaissance_blog_settings_date_border_color'
    )));

	##################------ PAGES AND POSTS ------##################

	$wp_customize->add_section('wda_renaissance_pages_and_posts_section',array(
		'title'	=> esc_html__('Pages and Posts','renaissance-wda'),					
		'priority'		=> 32
	));
	$wp_customize->add_setting('wda_renaissance_single_page_banner_bg_color',array(
		'default'	=> esc_html('#f6f4ff'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_single_page_banner_bg_color', array(
        'label' => esc_html__('Pages banner background color','renaissance-wda'),
        'section' => 'wda_renaissance_pages_and_posts_section',
        'settings' => 'wda_renaissance_single_page_banner_bg_color'
    )));
	$wp_customize->add_setting('wda_renaissance_single_page_banner_animations',array(
		'sanitize_callback'	=> 'wda_checkbox_sanitization'	
	));
	$wp_customize->add_control('wda_renaissance_single_page_banner_animations',array(
			'label'	=> esc_html__('Show page banner animation','renaissance-wda'),
			'section'	=> 'wda_renaissance_pages_and_posts_section',
			'setting'	=> 'wda_renaissance_single_page_banner_animations',
			'type' => 'checkbox',
	));	
	$wp_customize->add_setting('wda_renaissance_single_page_title_position',array(
		'default'	=> esc_html('left'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_single_page_title_position',array(
			'label'	=> esc_html__('Select pages title position','renaissance-wda'),
			'section'	=> 'wda_renaissance_pages_and_posts_section',
			'setting'	=> 'wda_renaissance_single_page_title_position',
			'type' => 'select',
			'choices' => array(
				'left' => 'Left',
				'center' => 'Center',
				'right' => 'Right',
				)
	));	
	$wp_customize->add_setting('wda_renaissance_single_post_banner_bg_color',array(
		'default'	=> esc_html('#f6f4ff'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_single_post_banner_bg_color', array(
        'label' => esc_html__('Post banner background color','renaissance-wda'),
        'section' => 'wda_renaissance_pages_and_posts_section',
        'settings' => 'wda_renaissance_single_post_banner_bg_color'
    )));
	$wp_customize->add_setting('wda_renaissance_single_post_banner_animations',array(
		'sanitize_callback'	=> 'wda_checkbox_sanitization'	
	));
	$wp_customize->add_control('wda_renaissance_single_post_banner_animations',array(
			'label'	=> esc_html__('Show post banner animation','renaissance-wda'),
			'section'	=> 'wda_renaissance_pages_and_posts_section',
			'setting'	=> 'wda_renaissance_single_post_banner_animations',
			'type' => 'checkbox',
	));	
	$wp_customize->add_setting('wda_renaissance_single_post_title_position',array(
		'default'	=> esc_html('left'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_single_post_title_position',array(
			'label'	=> esc_html__('Select posts title position','renaissance-wda'),
			'section'	=> 'wda_renaissance_pages_and_posts_section',
			'setting'	=> 'wda_renaissance_single_post_title_position',
			'type' => 'select',
			'choices' => array(
				'left' => 'Left',
				'center' => 'Center',
				'right' => 'Right',
				)
	));	
	##################------ ARCHIVE AND SEARCH SECTION ------##################
	$wp_customize->add_section('wda_renaissance_archive_and_search_section',array(
		'title'	=> esc_html__('Archive and Search','renaissance-wda'),					
		'priority'		=> 33
	));
	$wp_customize->add_setting('wda_renaissance_archive_banner_bg_color',array(
		'default'	=> esc_html('#f6f4ff'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_archive_banner_bg_color', array(
        'label' => esc_html__('Archive banner color','renaissance-wda'),
        'section' => 'wda_renaissance_archive_and_search_section',
        'settings' => 'wda_renaissance_archive_banner_bg_color'
    )));
	$wp_customize->add_setting('wda_renaissance_archive_banner_animations',array(
		'sanitize_callback'	=> 'wda_checkbox_sanitization'	
	));
	$wp_customize->add_control('wda_renaissance_archive_banner_animations',array(
			'label'	=> esc_html__('Show archive pages banner animation','renaissance-wda'),
			'section'	=> 'wda_renaissance_archive_and_search_section',
			'setting'	=> 'wda_renaissance_archive_banner_animations',
			'type' => 'checkbox',
	));	
	$wp_customize->add_setting('wda_renaissance_archive_page_title_position',array(
		'default'	=> esc_html('left'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_archive_page_title_position',array(
			'label'	=> esc_html__('Select archive pages title position','renaissance-wda'),
			'section'	=> 'wda_renaissance_archive_and_search_section',
			'setting'	=> 'wda_renaissance_archive_page_title_position',
			'type' => 'select',
			'choices' => array(
				'left' => 'Left',
				'center' => 'Center',
				'right' => 'Right',
				)
	));	
	$wp_customize->add_setting('wda_renaissance_search_banner_color',array(
		'default'	=> esc_html('#f6f4ff'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_search_banner_color', array(
        'label' => esc_html__('Search page banner color','renaissance-wda'),
        'section' => 'wda_renaissance_archive_and_search_section',
        'settings' => 'wda_renaissance_search_banner_color'
    )));
	$wp_customize->add_setting('wda_renaissance_search_banner_animations',array(
		'sanitize_callback'	=> 'wda_checkbox_sanitization'	
	));
	$wp_customize->add_control('wda_renaissance_search_banner_animations',array(
			'label'	=> esc_html__('Show search page banner animation','renaissance-wda'),
			'section'	=> 'wda_renaissance_archive_and_search_section',
			'setting'	=> 'wda_renaissance_search_banner_animations',
			'type' => 'checkbox',
	));	
	$wp_customize->add_setting('wda_renaissance_search_title_position',array(
		'default'	=> esc_html('left'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_search_title_position',array(
			'label'	=> esc_html__('Select search page title position','renaissance-wda'),
			'section'	=> 'wda_renaissance_archive_and_search_section',
			'setting'	=> 'wda_renaissance_search_title_position',
			'type' => 'select',
			'choices' => array(
				'left' => 'Left',
				'center' => 'Center',
				'right' => 'Right',
				)
	));	
    ##################------ 404 SECTION ------##################

	$wp_customize->add_section('wda_renaissance_not_found_section',array(
		'title'	=> esc_html__('404 Page','renaissance-wda'),					
		'priority'		=> 34
	));

	$wp_customize->add_setting('wda_renaissance_not_found_image',array(
		'default'	=> esc_url(get_theme_file_uri('/images/wda-404.png')),
		'sanitize_callback'	=> 'sanitize_url'
	));
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'wda_renaissance_not_found_image', array(
        'label' => esc_html__('Upload 404 Image','renaissance-wda'),
        'section' => 'wda_renaissance_not_found_section',
        'settings' => 'wda_renaissance_not_found_image',
        'button_labels' => array(
                    'select' =>  esc_html__('Select Image', 'renaissance-wda'),
                    'remove' =>  esc_html__('Remove Image', 'renaissance-wda'),
                    'change' =>  esc_html__('Change Image', 'renaissance-wda'),
                    )
    )));
	$wp_customize->add_setting('wda_renaissance_not_found_page_title',array(
		'default'	=> esc_html('Page Not Found'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
    $wp_customize->add_control( new WP_Customize_Control(
        $wp_customize,
        'wda_renaissance_not_found_page_title',
            array(
                'label'    => esc_html__('404 page title','renaissance-wda'),
                'section'  => 'wda_renaissance_not_found_section',
                'settings' => 'wda_renaissance_not_found_page_title',
                'type'     => 'text'
            )
        )
    );
	$wp_customize->add_setting('wda_renaissance_not_found_page_description',array(
		'default'	=> esc_html('Oops! That page can not be found. You can check the homepage or use the search.'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_not_found_page_description',array(
			'label'	=> esc_html__('404 page description','renaissance-wda'),
			'section'	=> 'wda_renaissance_not_found_section',
			'setting'	=> 'wda_renaissance_not_found_page_description'
	));	
	$wp_customize->add_setting('wda_renaissance_not_found_page_button_text',array(
		'default'	=> esc_html('Back to Homepage'),
		'sanitize_callback'	=> 'sanitize_text_field'	
	));
	$wp_customize->add_control('wda_renaissance_not_found_page_button_text',array(
			'label'	=> esc_html__('404 page button text','renaissance-wda'),
			'section'	=> 'wda_renaissance_not_found_section',
			'setting'	=> 'wda_renaissance_not_found_page_button_text'
	));	
	$wp_customize->add_setting('wda_renaissance_not_found_page_button_url',array(
		'default'	=> esc_url(get_home_url()),
		'sanitize_callback'	=> 'sanitize_url'	
	));
	$wp_customize->add_control('wda_renaissance_not_found_page_button_url',array(
			'label'	=> esc_html__('404 page button URL','renaissance-wda'),
			'section'	=> 'wda_renaissance_not_found_section',
			'setting'	=> 'wda_renaissance_not_found_page_button_url'
	));	
	$wp_customize->add_setting('wda_renaissance_not_found_page_button_color',array(
		'default'	=> esc_html('#7052fb'),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wda_renaissance_not_found_page_button_color', array(
        'label' => esc_html__('404 page button color','renaissance-wda'),
        'section' => 'wda_renaissance_not_found_section',
        'settings' => 'wda_renaissance_not_found_page_button_color'
    )));

}

	add_action( 'customize_register', 'wda_renaissance_customize_register' );


    ##################------ Premium Version ------##################

	if ( ! class_exists( 'WP_Customize_Control' ) ) :
		return null;
	endif;

	class wda_Renaissance_Sction_Pro extends WP_Customize_Section {

		public $type = 'wda-renaissance-upsell';
		public $pro_text = '';
		public $pro_url = '';
		public function json() {
			$json = parent::json();
			$json['pro_text'] = $this->pro_text;
			$json['pro_url']  = esc_url( $this->pro_url );
			return $json;
		}

		protected function render_template() { ?>
			<li id="accordion-section-{{ data.id }}" class="accordion-section control-section control-section-{{ data.type }} cannot-expand">
				<h3 class="accordion-section-title">
					{{ data.title }}
					<# if ( data.pro_text && data.pro_url ) { #>
						<a href="{{ data.pro_url }}" class="btn btn--alternative alignright" target="_blank">{{ data.pro_text }}</a>
					<# } #>
				</h3>
			</li>
		<?php }
	}


	function wda_renaissance_customize_backend_scripts() {
		wp_enqueue_style( 'wda-renaissance-admin-customizer-style', get_template_directory_uri() . '/inc/customizer/css/wda-customizer.css' );
		wp_enqueue_script( 'wda-renaissance-admin-customizer-js', get_template_directory_uri() . '/inc/customizer/js/customizer-wda.js', array( 'jquery', 'customize-controls' ), '20151215', true );
	}
	add_action( 'customize_controls_enqueue_scripts', 'wda_renaissance_customize_backend_scripts', 10 );