<?php

class WDA_Walker_Nav_Primary extends Walker_Nav_menu {
	 
	function start_lvl( &$output, $depth = 0, $args = array() ){ 
		$indent = str_repeat("\t",$depth);
		$submenu = ($depth > 0) ? ' sub-menu' : '';
		$output .= "<ul\n$indent class=\"dropdown-menu$submenu depth_$depth\">\n";
	}
	 
	function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ){ 
		
		$indent = ( $depth ) ? str_repeat("\t",$depth) : '';
		
		$li_attributes = '';
		$class_names = $value = '';
		 
		$classes = empty( $item->classes ) ? array() : (array) $item->classes;
		
		$classes[] = ($args->walker->has_children) ? 'dropdown' : '';
		$classes[] = ($item->current || $item->current_item_ancestor) ? 'active' : '';
		$classes[] = 'menu-item-' . $item->ID;
		if( $depth && $args->walker->has_children ){
			$classes[] = 'dropdown-submenu';
		}
		
		$class_names =  join(' ', apply_filters('nav_menu_css_class', array_filter( $classes ), $item, $args ) );
		$class_names = ' class="' . esc_attr($class_names) . '"';
		
		$id = apply_filters('nav_menu_item_id', 'menu-item-'.$item->ID, $item, $args);
		$id = strlen( $id ) ? ' id="' . esc_attr( $id ) . '"' : '';
		
		$output .= $indent . '<li' . $id . $value . $class_names . $li_attributes . '>';
		
		$attributes = ! empty( $item->attr_title ) ? ' title="' . esc_attr($item->attr_title) . '"' : '';
		$attributes .= ! empty( $item->target ) ? ' target="' . esc_attr($item->target) . '"' : '';
		$attributes .= ! empty( $item->xfn ) ? ' rel="' . esc_attr($item->xfn) . '"' : '';
		$attributes .= ! empty( $item->url ) ? ' href="' . esc_attr($item->url) . '"' : '';
		$attributes .= ( $args->walker->has_children ) ? ' class="dropdown-toggle" data-toggle="dropdown"' : '';

		$item_output = $args->before;
		if( $depth<1 ){
			$item_output .= '<a class="wda-menu-items-color"' . $attributes . '>';
		} else {
			$item_output .= '<a class="wda-default-link-color"' . $attributes . '>';
		};
		$item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
		if( $depth<1 ){
			$item_output .= ( $args->walker->has_children ) ? ' </a><button class="menu-button-mobile wda-hide-on-mobile"><i class="fa fa-angle-down wda-walker-main-icon"></i></button>' : '</a>';
		} else {
			$item_output .= ( $args->walker->has_children ) ? ' </a><button class="menu-button-mobile-sub wda-hide-on-mobile"><i class="fa fa-angle-down wda-walker-icon"></i></button>' : '</a>';
		};
		$item_output .= $args->after;
		$output .= apply_filters ( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
		
	}
	
}
