<?php

    function renaissance_wda_custom_css() {
        wp_enqueue_style(
            'wda-custom-style',
            get_template_directory_uri() . '/assets/css/front-end/wda-custom-style.css' 
        );
            $fontFamilyGlobal = esc_html(get_theme_mod( 'wda_renaissance_fonts_setting' ));
            $topHeaderBGColor = esc_html(get_theme_mod( 'wda_renaissance_top_header_bg_color' ));
            $topHeaderTextColor = esc_html(get_theme_mod( 'wda_renaissance_top_header_text_color' ));
            $topHeaderIconsBGColor = esc_html(get_theme_mod( 'wda_renaissance_top_header_social_icons_bg_color' ));
            $topIconsColor = esc_html(get_theme_mod( 'wda_renaissance_top_header_social_icons_color' ));
            $siteHeaderBGColor = esc_html(get_theme_mod( 'wda_renaissance_header_bg_color' ));
            $headerLogoText = esc_html(get_theme_mod( 'wda_renaissance_header_logo_text_color' ));
            $mobileMenuBarBGColor = esc_html(get_theme_mod( 'wda_renaissance_header_mobile_toolbar_color' ));
            $menuColorWalker = esc_html( get_theme_mod( 'wda_renaissance_header_menu_items_color' ) );
            $mobileMenuButtonColor = esc_html( get_theme_mod( 'wda_renaissance_header_mobile_menu_button_color' ) );
            $postListTitleBorder = esc_html( get_theme_mod( 'wda_renaissance_blog_settings_date_border_color' ) );
            $postListTitle = esc_html( get_theme_mod( 'wda_renaissance_blog_settings_title_color' ) );
            $singlePageTitlePos = esc_html( get_theme_mod( 'wda_renaissance_single_page_title_position' ) );
            $singlePostTitlePos = esc_html( get_theme_mod( 'wda_renaissance_single_post_title_position' ) );
            $blogTitlePos = esc_html( get_theme_mod( 'wda_renaissance_blog_title_position' ) );
            $archiveTitlePos = esc_html( get_theme_mod( 'wda_renaissance_archive_page_title_position' ) );
            $searchTitlePos = esc_html( get_theme_mod( 'wda_renaissance_search_title_position' ) );
            $bannerTitleColor = esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_title_color' ) );
            $bannerTitleFontSize = esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_title_font_size' ) );
            $bannerDescColor = esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_description_color' ) );
            $bannerDescFontSize = esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_description_font_size' ) );
            $bannerTextColor = esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_content_color' ) );
            $bannerTextFontSize = esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_content_font_size' ) );
            $bannerBtnBGColor = esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_button_color' ) );
            $bannerSecBtnBGColor = esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_second_button_color' ) );
            $bannerCircleColor = esc_html( get_theme_mod( 'wda_renaissance_custom_homepage_banner_circle_color' ) );
            $noFoundButton = esc_html( get_theme_mod( 'wda_renaissance_not_found_page_button_color' ) );
            $pageBannerColor = esc_html( get_theme_mod( 'wda_renaissance_single_page_banner_bg_color' ) );
            $postBannerColor = esc_html( get_theme_mod( 'wda_renaissance_single_post_banner_bg_color' ) );
            $archiveBannerColor = esc_html( get_theme_mod( 'wda_renaissance_archive_banner_bg_color' ) );
            $searchBannerColor = esc_html( get_theme_mod( 'wda_renaissance_search_banner_color' ) );
            $blogBannerColor = esc_html( get_theme_mod( 'wda_renaissance_blog_banner_color' ) );
            
            $custom_css = "
                        body {font-family: {$fontFamilyGlobal}, sans-serif!important;}
                        .page-banner__bg-color {background: {$pageBannerColor} !important;}
                        .post-banner__bg-color {background: {$postBannerColor} !important;}
                        .archive-banner__bg-color {background: {$archiveBannerColor} !important;}
                        .search-banner__bg-color {background: {$searchBannerColor} !important;}
                        .blog-banner__bg-color {background: {$blogBannerColor} !important;}
                        .top-section {background-color: {$topHeaderBGColor} !important;}
                        .site-header-left__util {color: {$topHeaderTextColor} !important;}
                        .wda-top-header-icons {color: {$topHeaderTextColor} !important;}
                        .wda-menu-items-color {color: {$menuColorWalker} !important;}
						.simple-wda-menu-items-color a {color: {$menuColorWalker} !important;}
                        .wda-walker-main-icon {color: {$menuColorWalker} !important;}
                        .wdamobilemenubutton:after {border-top:2px solid {$mobileMenuButtonColor} !important; border-bottom:2px solid {$mobileMenuButtonColor} !important;}
                        .wdamobilemenubutton:before {background: {$mobileMenuButtonColor} !important;}
                        .wdamobilemenubutton.menu-opened:after {background: {$mobileMenuButtonColor} !important;}
                        .wdamobilemenubutton.menu-opened:before {background: {$mobileMenuButtonColor} !important;}
                        .wda-social-icons {background-color: {$topHeaderIconsBGColor} !important; border: 2px solid {$topIconsColor} !important;}
                        .wda-social-icons-inner {color: {$topIconsColor} !important;}
                        .site-header {background-color: {$siteHeaderBGColor} !important;}
                        .wda-logo-text a {color: {$headerLogoText} !important;}
                        .wda-head-mobile {background-color: {$mobileMenuBarBGColor} !important;}
                        .wda-banner-title {color: {$bannerTitleColor} !important; font-size: {$bannerTitleFontSize}px !important;}
                        .wda-banner-description {color: {$bannerDescColor} !important; font-size: {$bannerDescFontSize}px !important;}
                        .wda-banner-text {color: {$bannerTextColor} !important; font-size: {$bannerTextFontSize}px !important;}
                        .banner-border-button {background-color: {$bannerBtnBGColor} !important;}
                        .banner-border-button::before {border-top: 2px solid {$bannerBtnBGColor} !important;}
                        .banner-border-button::after {border-bottom: 2px solid {$bannerBtnBGColor} !important;}
                        .banner-border-second-button {background-color: {$bannerSecBtnBGColor} !important;}
                        .banner-border-second-button::before {border-top: 2px solid {$bannerSecBtnBGColor} !important;}
                        .banner-border-second-button::after {border-bottom: 2px solid {$bannerSecBtnBGColor} !important;}
                        .circle {border: 10px dashed {$bannerCircleColor} !important;}
                        .post-list-title {border-bottom: 1px solid {$postListTitleBorder} !important;}
                        .wda-post-date {color: {$postListTitleBorder} !important;}
                        .post-list-title a {color: {$postListTitle} !important;}
                        .page-banner__title_single_page {text-align: {$singlePageTitlePos} !important;}
                        .page-banner__title_single_post {text-align: {$singlePostTitlePos} !important;}
                        .page-banner__title_blog {text-align: {$blogTitlePos} !important;}
                        .page-banner__title_archive {text-align: {$archiveTitlePos} !important;}
                        .page-banner__title_search {text-align: {$searchTitlePos} !important;}
                        .wda-not-found-page-button {background-color: {$noFoundButton} !important;}
                        .wda-not-found-page-button::before {border-top: 2px solid {$noFoundButton} !important;}
                        .wda-not-found-page-button::after {border-top: 2px solid {$noFoundButton} !important;}
                    ";
            wp_add_inline_style( 'wda-custom-style', $custom_css );
    }
    add_action( 'wp_enqueue_scripts', 'renaissance_wda_custom_css' ); 